pbsnodes(8B)

NAME
pbsnodes - pbs node manipulation

SYNOPSIS
pbsnodes [-{c|o|r}] [-s server] [nodename ...]
pbsnodes -{a|l} [-s server]

DESCRIPTION
The pbsnodes command is used to mark nodes down, free or off line. It can also be used to list nodes and their state. Node information is obtained by sending a request to the PBS job server.

If pbsnodes is run without options (other than -s ), the nodes specified as operands are marked DOWN and unavailable to run jobs. It is importaint that all the nodes known to be down are given as arguments on the command line. This is because nodes which are not listed are assumed to be UP and will be indicated as such if they were previously marked DOWN. None of the other options will change the marking for nodes which are not given on the command line.

In order to execute pbsnodes with other than the -a or -l options, the user must have PBS Manager or Operator privilege.

OPTIONS

-a  All nodes and their attributes are listed. The attributes include "state" and "properities".

-c  Clear OFFLINE or DOWN from listed nodes. The listed nodes are "free" to be allocated to jobs.

-l  List all nodes marked in any way.

-o  Mark listed nodes as OFFLINE even if currently in use. This is different from being marked DOWN. An automated script that checks nodes being up or down and calls pbsnodes with a list of nodes down will not change the status of nodes marked OFFLINE. This gives the administrator a tool to hold a node out of service without changing the automatic script.

-r  clear OFFLINE from listed nodes.

-r  specify the PBS server to which to connect.

SEE ALSO
pbs_server(8B) and the PBS External Reference Specification